Home Home > GIT Browse > linux-next
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichal Suchanek <msuchanek@suse.de>2019-08-07 17:33:31 +0200
committerMichal Suchanek <msuchanek@suse.de>2019-08-07 17:34:10 +0200
commite1353be651631a960957d82b948f613095816c46 (patch)
treec385477f7ee69dd8463f6a497be78ddf9148e7f0
parent03c796b9a29528673a50b3750bfb45f5766f7e1b (diff)
scripts/run_oldconfig.sh: support rt partial debug config.
-rwxr-xr-xscripts/run_oldconfig.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/scripts/run_oldconfig.sh b/scripts/run_oldconfig.sh
index c3c0651ab8..fb49596553 100755
--- a/scripts/run_oldconfig.sh
+++ b/scripts/run_oldconfig.sh
@@ -455,6 +455,9 @@ for config in $config_files; do
else
config_base="$(dirname "$config")/default"
fi
+ if ! [ -f "$config_base" ] && [ -n "$VARIANT" ] ; then
+ config_base="$(dirname "$config")/${VARIANT#-}"
+ fi
${scripts}/config-merge "$config_base" "$config" >$config_orig
else
cp "$config" $config_orig